import request from '@/utils/request'

// 材料申购明细列表
export function materialrequestDetailLists(params: any) {
    return request.get({ url: '/material.material_purchase_request_detail/lists', params })
}

// 添加材料申购明细
export function materialrequestDetailAdd(params: any) {
    return request.post({ url: '/material.material_purchase_request_detail/add', params })
}

// 编辑材料申购明细
export function materialrequestDetailEdit(params: any) {
    return request.post({ url: '/material.material_purchase_request_detail/edit', params })
}

// 删除材料申购明细
export function materialrequestDetailDelete(params: any) {
    return request.post({ url: '/material.material_purchase_request_detail/delete', params })
}

// 材料申购明细详情
export function materialrequestDetailDetail(params: any) {
    return request.get({ url: '/material.material_purchase_request_detail/detail', params })
}

